[[post_data {
    "author" : "KyMAN",
    "since" : 20220422,
    "version" : 20220422
}]]
# JSReports.ecma.js

```txt
/Public/ecma/JSReports.ecma.js
```

## [[plain JSReports.event_execute]]

[[wdoc
Método object.
@name       JSReports.event_execute
@lang       ECMAScript
@author     KyMAN
@since      20220422
@version    20220422
@access     public
@hash       8278db1e610a100e5d356a52280cc082
#key	- optional Parámetro key
#return	- - Retorno.
]]

## [[plain JSReports.event_add]]

[[wdoc
Método object.
@name       JSReports.event_add
@lang       ECMAScript
@author     KyMAN
@since      20220422
@version    20220422
@access     public
@hash       0c176da24fa7ae3cb649495f8e7170d8
#key	- optional Parámetro key
#method	- optional Parámetro method
#return	- - Retorno.
]]

## [[plain JSReports.event_remove]]

[[wdoc
Método object.
@name       JSReports.event_remove
@lang       ECMAScript
@author     KyMAN
@since      20220422
@version    20220422
@access     public
@hash       19d4a9003d7c5d18ecaaea69096d8af0
#key	- optional Parámetro key
#i	- optional Parámetro i
#return	- - Retorno.
]]

## [[plain JSReports.is_html_item]]

[[wdoc
Método object.
@name       JSReports.is_html_item
@lang       ECMAScript
@author     KyMAN
@since      20220422
@version    20220422
@access     public
@hash       9fc6e2286fc35144ae5d31e9f90223a0
#item	- optional Parámetro item
#return	- - Retorno.
]]

## [[plain JSReports.default_value]]

[[wdoc
Método object.
@name       JSReports.default_value
@lang       ECMAScript
@author     KyMAN
@since      20220422
@version    20220422
@access     public
@hash       a1841f42c4352bb7f9f7bb87f89ff6fb
#_default	- optional Parámetro _default
#nulls	- optional Parámetro nulls
#return	- - Retorno.
]]

## [[plain JSReports.settings]]

[[wdoc
Método object.
@name       JSReports.settings
@see        JSReports.default_value
@see        JSReports.settings
@lang       ECMAScript
@author     KyMAN
@since      20220422
@version    20220422
@access     public
@hash       aca8a9716fee6aef64d6753573aebf61
#names	- optional Parámetro names
#inputs	- optional Parámetro inputs
#_default	- optional Parámetro _default
#nulls	- optional Parámetro nulls
#return	- - Retorno.
]]

## [[plain JSReports.threads_method]]

[[wdoc
Método object.
@name       JSReports.threads_method
@see        JSReports.event_execute
@lang       ECMAScript
@author     KyMAN
@since      20220422
@version    20220422
@access     private
@hash       bdc0d47954df34f8c7dd34886abb484b
#return	- - Retorno.
]]

## [[plain JSReports.threads_start]]

[[wdoc
Método object.
@name       JSReports.threads_start
@see        JSReports.settings
@see        JSReports.threads_method
@lang       ECMAScript
@author     KyMAN
@since      20220422
@version    20220422
@access     public
@hash       8ddfcc5b5bc311360f29b185dce9cd19
#frames_per_second	- optional Parámetro frames_per_second
#return	- - Retorno.
]]

## [[plain JSReports.threads_stop]]

[[wdoc
Método object.
@name       JSReports.threads_stop
@lang       ECMAScript
@author     KyMAN
@since      20220422
@version    20220422
@access     public
@hash       c1b6d79c278d28a090faf96255fa0c34
]]

## [[plain JSReports.threads_add]]

[[wdoc
Método object.
@name       JSReports.threads_add
@see        JSReports.event_add
@lang       ECMAScript
@author     KyMAN
@since      20220422
@version    20220422
@access     public
@hash       a8bcfab6b51e3d71c29dfe4489f1a2ea
#method	- optional Parámetro method
#return	- - Retorno.
]]

## [[plain JSReports.threads_remove]]

[[wdoc
Método object.
@name       JSReports.threads_remove
@see        JSReports.event_remove
@lang       ECMAScript
@author     KyMAN
@since      20220422
@version    20220422
@access     public
@hash       2502fd5b998c2aa8c8ef113766274944
#i	- optional Parámetro i
#return	- - Retorno.
]]

## [[plain JSReports.preload]]

[[wdoc
Método object.
@name       JSReports.preload
@see        JSReports.is_html_item
@see        JSReports.settings
@see        JSReports.threads_add
@lang       ECMAScript
@author     KyMAN
@since      20220422
@version    20220422
@access     public
@hash       78825cc3c12f69f2ce9e0dbb365032e3
#selector	- optional Parámetro selector
#callback	- optional Parámetro callback
]]

## [[plain JSReports.ready]]

[[wdoc
Método object.
@name       JSReports.ready
@see        JSReports.event_execute
@lang       ECMAScript
@author     KyMAN
@since      20220422
@version    20220422
@access     private
@hash       24173da9f3087d1dc7dd6cfb091e1973
#position	- optional Parámetro position
]]

## [[plain JSReports.start]]

[[wdoc
Método object.
@name       JSReports.start
@see        JSReports.threads_start
@see        JSReports.settings
@see        JSReports.preload
@see        JSReports.ready
@lang       ECMAScript
@author     KyMAN
@since      20220422
@version    20220422
@access     public
@hash       7a9f7395ead121483d8fff795eec1c1f
]]

## [[plain JSReports.on_ready]]

[[wdoc
Método object.
@name       JSReports.on_ready
@lang       ECMAScript
@author     KyMAN
@since      20220422
@version    20220422
@access     public
@hash       b10a8f8510b1fdd31af34e4742531d68
#method	- optional Parámetro method
#return	- - Retorno.
]]

## [[plain JSReports.string_variables]]

[[wdoc
Método object.
@name       JSReports.string_variables
@lang       ECMAScript
@author     KyMAN
@since      20220422
@version    20220422
@access     public
@hash       baaa8e283a18d68f6e9af7bb5fa4cbbe
#string	- optional Parámetro string
#variables	- optional Parámetro variables
#_default	- optional Parámetro _default
]]

## [[plain JSReports.base64_to_blob]]

[[wdoc
Método object.
@name       JSReports.base64_to_blob
@lang       ECMAScript
@author     KyMAN
@since      20220422
@version    20220422
@access     public
@hash       b9ca1772f19dd57db9bedc5678ed79e5
#uri	- optional Parámetro uri
#type	- optional Parámetro type
#return	- - Retorno.
]]

## [[plain JSReports.hash]]

[[wdoc
Método object.
@name       JSReports.hash
@see        JSReports.settings
@lang       ECMAScript
@author     KyMAN
@since      20220422
@version    20220422
@access     public
@hash       0e8da659a099929c4de6a1f107c44d8c
#return	- - Retorno.
]]

## [[plain JSReports.grid_to_html]]

[[wdoc
Método object.
@name       JSReports.grid_to_html
@lang       ECMAScript
@author     KyMAN
@since      20220422
@version    20220422
@access     public
@hash       667df7e5df63dd419bf9465b12f221a1
#grid	- optional Parámetro grid
#name	- optional Parámetro name
#return	- - Retorno.
]]

## [[plain JSReports.list_to_html]]

[[wdoc
Método object.
@name       JSReports.list_to_html
@see        JSReports.settings
@see        JSReports.list_to_html
@lang       ECMAScript
@author     KyMAN
@since      20220422
@version    20220422
@access     public
@hash       d0310359b0d5fbe909db8f3968c63972
#list	- optional Parámetro list
#name	- optional Parámetro name
#return	- - Retorno.
]]

## [[plain JSReports.css_to_html]]

[[wdoc
Método object.
@name       JSReports.css_to_html
@see        JSReports.hash
@see        JSReports.preload
@lang       ECMAScript
@author     KyMAN
@since      20220422
@version    20220422
@access     public
@hash       ca5cbc79e2bf66ca5b2b3fb1d5390cea
#html	- optional Parámetro html
#css	- optional Parámetro css
#type	- optional Parámetro type
#body_size	- optional Parámetro body_size
#dpi	- optional Parámetro dpi
#callback	- optional Parámetro callback
]]

## [[plain JSReports.get_page_size]]

[[wdoc
Método object.
@name       JSReports.get_page_size
@lang       ECMAScript
@author     KyMAN
@since      20220422
@version    20220422
@access     public
@hash       0c9acc181031029511c870013794933e
#format	- optional Parámetro format
#return	- - Retorno.
]]

## [[plain JSReports.to_pixels]]

[[wdoc
Método object.
@name       JSReports.to_pixels
@see        JSReports.settings
@lang       ECMAScript
@author     KyMAN
@since      20220422
@version    20220422
@access     public
@hash       834fd27f6c5fad1286ac1d4f2686a685
#size	- optional Parámetro size
#dpi	- optional Parámetro dpi
#return	- - Retorno.
]]

## [[plain JSReports.create_canas]]

[[wdoc
Método object.
@name       JSReports.create_canas
@lang       ECMAScript
@author     KyMAN
@since      20220422
@version    20220422
@access     public
@hash       e590bf71f37824d9ccfad63f9d5d1b18
#html	- optional Parámetro html
#width	- optional Parámetro width
#height	- optional Parámetro height
#callback	- optional Parámetro callback
]]

## [[plain JSReports.time_format]]

[[wdoc
Método object.
@name       JSReports.time_format
@see        JSReports.string_variables
@see        JSReports.settings
@lang       ECMAScript
@author     KyMAN
@since      20220422
@version    20220422
@access     public
@hash       204420143766456a0655f90e88bde2a8
#date	- optional Parámetro date
#format	- optional Parámetro format
]]

## [[plain JSReports.page_variables]]

[[wdoc
Método object.
@name       JSReports.page_variables
@see        JSReports.settings
@lang       ECMAScript
@author     KyMAN
@since      20220422
@version    20220422
@access     private
@hash       0e1b0f139196df893613aac593e29e3c
#html	- optional Parámetro html
#variables	- optional Parámetro variables
#return	- - Retorno.
]]

## [[plain JSReports.pdf_header_footer_create]]

[[wdoc
Método object.
@name       JSReports.pdf_header_footer_create
@see        JSReports.pdf_header_footer_create
@see        JSReports.page_variables
@lang       ECMAScript
@author     KyMAN
@since      20220422
@version    20220422
@access     private
@hash       fc6d493a044a62726024d64c9cdaa4f0
#pdf	- optional Parámetro pdf
#header	- optional Parámetro header
#footer	- optional Parámetro footer
#margin	- optional Parámetro margin
#pages	- optional Parámetro pages
#callback	- optional Parámetro callback
#i	- optional Parámetro i
]]

## [[plain JSReports.create]]

[[wdoc
Método object.
@name       JSReports.create
@see        JSReports.settings
@lang       ECMAScript
@author     KyMAN
@since      20220422
@version    20220422
@access     public
@hash       d8eec2408d0579c21dfaed249e09d2c9
#input	- optional Parámetro input
#callback	- optional Parámetro callback
]]

## [[plain JSReports.get_uri_data]]

[[wdoc
Método object.
@name       JSReports.get_uri_data
@lang       ECMAScript
@author     KyMAN
@since      20220422
@version    20220422
@access     public
@hash       f4644a2029a63c4358ff2c669cc04ab8
#data	- optional Parámetro data
#type	- optional Parámetro type
#return	- - Retorno.
]]

## [[plain JSReports.download]]

[[wdoc
Método object.
@name       JSReports.download
@see        JSReports.get_uri_data
@lang       ECMAScript
@author     KyMAN
@since      20220422
@version    20220422
@access     public
@hash       4f44d8e3a5538fff046fd56976784a58
#data	- optional Parámetro data
#file_name	- optional Parámetro file_name
]]

## [[plain JSReports.add_fonts]]

[[wdoc
Método object.
@name       JSReports.add_fonts
@lang       ECMAScript
@author     KyMAN
@since      20220422
@version    20220422
@access     public
@hash       3e46c209a2c978863975828939679f6c
#array	- optional Parámetro array
#return	- - Retorno.
]]

## [[plain JSReports.construct]]

[[wdoc
Método object.
@name       JSReports.construct
@see        JSReports.settings
@see        JSReports.add_fonts
@see        JSReports.start
@lang       ECMAScript
@author     KyMAN
@since      20220422
@version    20220422
@access     private
@hash       3843a081dceb29470cdbf51afab923a8
]]

[[html_data {
    "title" : "JSReports.ecma.js - JSReports",
    "url" : "https://jsreports.k3y.pw/Public/ecma/JSReports.ecma.js.html",
    "author" : "KyMAN",
    "since" : 20220422,
    "version" : 20220422,
    "key_words" : "jsreports,js,report,ecma,pdf,doc,csv,kyman,developt,desarrollo,documentacion,doc,developt,desarrollo,programación,cma",
    "description" : "JSReports.ecma.js del JSReports.",
    "project" : "JSReports",
    "logo" : "/images/JSReports.png",
    "language" : "es"
}]]
